Subject: Re: [PATCH net-next 0/2] bonding: extend round-robin mode

From: Nikolay Aleksandrov <[email-masked]>
Date: Wed, 06 Nov 2013 18:51:42 +0100

On 11/06/2013 05:55 PM, Jay Vosburgh wrote:
> Nikolay Aleksandrov <[email-masked]> wrote:
> 
>> This small patchset adds a new option called packets_per_slave to the
>> bonding which aims to extend round-robin mode with the following effects:
>> 0 - choose the slave id at random
>> 1 - packet per slave (standard round-robin, default option value)
>>> 1 - transmit >1 packets per slave, switch the slaves in round-robin
>> Patch02 adds a description for the new option to the bonding documentation.
> 
> 	Could you explain why this is useful?  My guess is that you're
> trying to synchronize with the packet receive processing of a peer
> (perhaps for GRO?), but I think it would be useful to explain the
> utility of this.
> 
> 	-J
> 
> ---
> 	-Jay Vosburgh, IBM Linux Technology Center, [email-masked]
> 
Hi Jay,
Yes, that is one good use case, I'm also experimenting with a user-space
software that uses various heuristics and tunes this option (e.g., TCP-RR
case). I've been playing with this option for the past 3 weeks or so and
have to move on to some real-world tests, since my current environment
consists only of VMs and that's nowhere near the real world :-)
If your intention is to include such information in the bonding
documentation then I'll need some more time to gather it, and can do it as
either a follow-up or we can just drop this now and I'll re-post once I've
some definite real(lab)-world results.

Nik